Bug 498149 - Fail2ban fails to shutdown with broken Internet Connection
Fail2ban fails to shutdown with broken Internet Connection
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fail2ban (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 01:34 EDT by Eli Wapniarski
Modified: 2009-09-15 03:56 EDT (History)
0 users

See Also:
Fixed In Version: 0.8.4-23.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-15 03:50:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Wapniarski 2009-04-29 01:34:59 EDT
I have an ADSL connection to the internet. If my internet connection goes down and I need to restart the computer or manually try to stop or restart fail2ban services, fail2ban seems to hang and the only way that I am able to restart the computer is with a hard reset.
Comment 1 Bug Zapper 2009-06-09 10:45:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Axel Thimm 2009-09-11 07:09:50 EDT
Can you please test against 0.8.4?

fail2ban-0.8.4-23.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fail2ban-0.8.4-23.fc11
Comment 3 Eli Wapniarski 2009-09-11 12:58:27 EDT
Probaby early next week.
Comment 4 Eli Wapniarski 2009-09-13 03:13:11 EDT
Seems to have fixed the problem. After installing and breaking my internet connection I had no problem rebooting the computer.

Thanks
Comment 5 Axel Thimm 2009-09-13 04:02:00 EDT
Thanks for reporting and the feedback!
Comment 6 Fedora Update System 2009-09-15 03:50:14 EDT
fail2ban-0.8.4-23.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-09-15 03:56:24 EDT
fail2ban-0.8.4-23.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.